<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/ScoreManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ScoreManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="ScoreManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef ScoreManager_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define ScoreManager_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="classScoreManager.html">    8</a></span>&#160;<span class="keyword">class </span><a class="code" href="classScoreManager.html">ScoreManager</a>{</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keyword">static</span> <a class="code" href="classScoreManager.html">ScoreManager</a>&amp; <a class="code" href="classScoreManager.html#ae81cc422c792c7f5649d45652e896fdf">GetInstance</a>();</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classScoreManager.html#ad78ee0824f09af4eaec894eaec45e160">PrintScore</a>();</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classScoreManager.html#a53030789b25effbbcd1a8c7315df72ce">SaveScore</a>(std::string name, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp; score);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="classScoreManager.html#a4f3866ff832127664543349da5c4fbf4">   32</a></span>&#160;    <a class="code" href="classScoreManager.html#a4f3866ff832127664543349da5c4fbf4">ScoreManager</a>(){}</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classScoreManager.html#ab3bf2fbbd0bb1edab3b9057262ed2959">Parseline</a>(<span class="keyword">const</span> std::string &amp; line);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classScoreManager.html#a0ec305ee4fdfa013598fae9eef3b78fe">LoadScoreFile</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classScoreManager.html#a53f90e5ea7768842be865f7e56103eb9">   45</a></span>&#160;    std::list&lt;std::string&gt; <a class="code" href="classScoreManager.html#a53f90e5ea7768842be865f7e56103eb9">m_Names</a>; </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classScoreManager.html#a2e836f39a58660d73e0ddc28fa616195">   46</a></span>&#160;    std::list&lt;int&gt; <a class="code" href="classScoreManager.html#a2e836f39a58660d73e0ddc28fa616195">m_Scores</a>; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;};</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* ScoreManager_H */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassScoreManager_html_a4f3866ff832127664543349da5c4fbf4"><div class="ttname"><a href="classScoreManager.html#a4f3866ff832127664543349da5c4fbf4">ScoreManager::ScoreManager</a></div><div class="ttdeci">ScoreManager()</div><div class="ttdoc">Private constructor to achiave singleton pattern.</div><div class="ttdef"><b>Definition:</b> ScoreManager.h:32</div></div>
<div class="ttc" id="aclassScoreManager_html_ad78ee0824f09af4eaec894eaec45e160"><div class="ttname"><a href="classScoreManager.html#ad78ee0824f09af4eaec894eaec45e160">ScoreManager::PrintScore</a></div><div class="ttdeci">void PrintScore()</div><div class="ttdoc">Prints top scores.</div><div class="ttdef"><b>Definition:</b> ScoreManager.cpp:15</div></div>
<div class="ttc" id="aclassScoreManager_html_ab3bf2fbbd0bb1edab3b9057262ed2959"><div class="ttname"><a href="classScoreManager.html#ab3bf2fbbd0bb1edab3b9057262ed2959">ScoreManager::Parseline</a></div><div class="ttdeci">int Parseline(const std::string &amp;line)</div><div class="ttdoc">Parses line and returns parsed number.</div><div class="ttdef"><b>Definition:</b> ScoreManager.cpp:84</div></div>
<div class="ttc" id="aclassScoreManager_html_a0ec305ee4fdfa013598fae9eef3b78fe"><div class="ttname"><a href="classScoreManager.html#a0ec305ee4fdfa013598fae9eef3b78fe">ScoreManager::LoadScoreFile</a></div><div class="ttdeci">void LoadScoreFile()</div><div class="ttdoc">Loads score from file into buffer.</div><div class="ttdef"><b>Definition:</b> ScoreManager.cpp:60</div></div>
<div class="ttc" id="aclassScoreManager_html_a2e836f39a58660d73e0ddc28fa616195"><div class="ttname"><a href="classScoreManager.html#a2e836f39a58660d73e0ddc28fa616195">ScoreManager::m_Scores</a></div><div class="ttdeci">std::list&lt; int &gt; m_Scores</div><div class="ttdef"><b>Definition:</b> ScoreManager.h:46</div></div>
<div class="ttc" id="aclassScoreManager_html"><div class="ttname"><a href="classScoreManager.html">ScoreManager</a></div><div class="ttdoc">Mayer singlton class of ScoreManager which saves and loads scores.</div><div class="ttdef"><b>Definition:</b> ScoreManager.h:8</div></div>
<div class="ttc" id="aclassScoreManager_html_ae81cc422c792c7f5649d45652e896fdf"><div class="ttname"><a href="classScoreManager.html#ae81cc422c792c7f5649d45652e896fdf">ScoreManager::GetInstance</a></div><div class="ttdeci">static ScoreManager &amp; GetInstance()</div><div class="ttdoc">Get the Instance object.</div><div class="ttdef"><b>Definition:</b> ScoreManager.cpp:10</div></div>
<div class="ttc" id="aclassScoreManager_html_a53030789b25effbbcd1a8c7315df72ce"><div class="ttname"><a href="classScoreManager.html#a53030789b25effbbcd1a8c7315df72ce">ScoreManager::SaveScore</a></div><div class="ttdeci">void SaveScore(std::string name, const int &amp;score)</div><div class="ttdoc">Saves score to a file.</div><div class="ttdef"><b>Definition:</b> ScoreManager.cpp:28</div></div>
<div class="ttc" id="aclassScoreManager_html_a53f90e5ea7768842be865f7e56103eb9"><div class="ttname"><a href="classScoreManager.html#a53f90e5ea7768842be865f7e56103eb9">ScoreManager::m_Names</a></div><div class="ttdeci">std::list&lt; std::string &gt; m_Names</div><div class="ttdef"><b>Definition:</b> ScoreManager.h:45</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
